%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-sphinxcontrib-htmlhelp
Version:       2.1.0
Release:       1mamba
Summary:       A sphinx extension which renders HTML help files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.sphinx-doc.org/en/master/
Source:        https://pypi.debian.net/sphinxcontrib-htmlhelp/sphinxcontrib_htmlhelp-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:     python-sphinxcontrib-htmlhelp < 2.0.0
%pyver_package
%endif

%prep
%setup -q -n sphinxcontrib_htmlhelp-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/sphinxcontrib/htmlhelp
%{python_sitelib}/sphinxcontrib/htmlhelp/*
%doc LICENCE.rst

%changelog
* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 2.1.0-1mamba
- automatic version update by autodist

* Sat Jul 20 2024 Automatic Build System <autodist@openmamba.org> 2.0.6-1mamba
- automatic version update by autodist

* Sat Jan 13 2024 Automatic Build System <autodist@openmamba.org> 2.0.5-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 2.0.4-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Sep 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- update to 2.0.4

* Tue Mar 07 2023 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- obsolete python-sphinxconfig-htmlhelp

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Sat Apr 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-3mamba
- rebuilt with distdeps

* Sat Nov 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-2mamba
- fix support for multiple python versions build

* Sat Feb 22 2020 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Thu May 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created using the webbuild interface
